SUSE: 2022:814-1 bci/nodejs Security Update | LinuxSecurity.com
SUSE Container Update Advisory: bci/nodejs
-----------------------------------------------------------------
Container Advisory ID : SUSE-CU-2022:814-1
Container Tags        : bci/node:14 , bci/node:14-18.7 , bci/nodejs:14 , bci/nodejs:14-18.7
Container Release     : 18.7
Severity              : important
Type                  : security
References            : 1183533 1193489 1194819 1196877 1197283 1198247 CVE-2021-28153
                        CVE-2021-44906 CVE-2021-44907 CVE-2022-0235 CVE-2022-0778 
-----------------------------------------------------------------

The container bci/nodejs was updated. The following patches have been included in this update:

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2022:1451-1
Released:    Thu Apr 28 10:47:22 2022
Summary:     Recommended update for perl
Type:        recommended
Severity:    moderate
References:  1193489
This update for perl fixes the following issues:

- Fix Socket::VERSION evaluation and stabilize Socket:VERSION comparisons (bsc#1193489)

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2022:1455-1
Released:    Thu Apr 28 11:31:51 2022
Summary:     Security update for glib2
Type:        security
Severity:    low
References:  1183533,CVE-2021-28153
This update for glib2 fixes the following issues:

- CVE-2021-28153: Fixed an issue where symlink targets would be incorrectly created as empty files (bsc#1183533).

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2022:1462-1
Released:    Thu Apr 28 16:46:15 2022
Summary:     Security update for nodejs14
Type:        security
Severity:    important
References:  1194819,1196877,1197283,1198247,CVE-2021-44906,CVE-2021-44907,CVE-2022-0235,CVE-2022-0778
This update for nodejs14 fixes the following issues:

- CVE-2022-0778: Fixed a infinite loop in BN_mod_sqrt() reachable when parsing certificates (bsc#1196877).
- CVE-2021-44906: Fixed a prototype pollution in node-minimist (bsc#1198247).
- CVE-2021-44907: Fixed a potential Denial of Service vulnerability in node-qs (bsc#1197283).
- CVE-2022-0235: Fixed an exposure of sensitive information to an unauthorized actor in node-fetch (bsc#1194819).


The following package changes have been done:

- libglib-2_0-0-2.62.6-150200.3.9.1 updated
- nodejs14-14.19.1-150200.15.31.1 updated
- npm14-14.19.1-150200.15.31.1 updated
- perl-base-5.26.1-150300.17.3.1 updated
- container:sles15-image-15.0.0-17.14.6 updated

SUSE: 2022:814-1 bci/nodejs Security Update

April 29, 2022
The container bci/nodejs was updated

Summary

Advisory ID: SUSE-RU-2022:1451-1 Released: Thu Apr 28 10:47:22 2022 Summary: Recommended update for perl Type: recommended Severity: moderate Advisory ID: SUSE-SU-2022:1455-1 Released: Thu Apr 28 11:31:51 2022 Summary: Security update for glib2 Type: security Severity: low Advisory ID: SUSE-SU-2022:1462-1 Released: Thu Apr 28 16:46:15 2022 Summary: Security update for nodejs14 Type: security Severity: important

References

References : 1183533 1193489 1194819 1196877 1197283 1198247 CVE-2021-28153

CVE-2021-44906 CVE-2021-44907 CVE-2022-0235 CVE-2022-0778

1193489

This update for perl fixes the following issues:

- Fix Socket::VERSION evaluation and stabilize Socket:VERSION comparisons (bsc#1193489)

1183533,CVE-2021-28153

This update for glib2 fixes the following issues:

- CVE-2021-28153: Fixed an issue where symlink targets would be incorrectly created as empty files (bsc#1183533).

1194819,1196877,1197283,1198247,CVE-2021-44906,CVE-2021-44907,CVE-2022-0235,CVE-2022-0778

This update for nodejs14 fixes the following issues:

- CVE-2022-0778: Fixed a infinite loop in BN_mod_sqrt() reachable when parsing certificates (bsc#1196877).

- CVE-2021-44906: Fixed a prototype pollution in node-minimist (bsc#1198247).

- CVE-2021-44907: Fixed a potential Denial of Service vulnerability in node-qs (bsc#1197283).

- CVE-2022-0235: Fixed an exposure of sensitive information to an unauthorized actor in node-fetch (bsc#1194819).

The following package changes have been done:

- libglib-2_0-0-2.62.6-150200.3.9.1 updated

- nodejs14-14.19.1-150200.15.31.1 updated

- npm14-14.19.1-150200.15.31.1 updated

- perl-base-5.26.1-150300.17.3.1 updated

- container:sles15-image-15.0.0-17.14.6 updated

Severity
Container Advisory ID : SUSE-CU-2022:814-1
Container Tags : bci/node:14 , bci/node:14-18.7 , bci/nodejs:14 , bci/nodejs:14-18.7
Container Release : 18.7
Severity : important
Type : security

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.